import { useDenaroPlugin } from '@vuepress-denaro/core';
import { DIR_NAME, PLUGIN_NAME } from './utils.js';
export const oneClickCopyPlugin = (options) => useDenaroPlugin(() => {
    const { copySelector = [
        'div[class*="language-"] pre',
        'div[class*="aside-code"] aside',
    ], copyMessage = 'Copied successfully!', toolTipMessage = 'Copy to clipboard', duration = 3000, } = options || {};
    return {
        name: PLUGIN_NAME,
        dirname: DIR_NAME,
        useClientConfig: true,
        define: {
            __ONE_CLICK_COPY_COPY_SELECTOR__: copySelector,
            __ONE_CLICK_COPY_COPY_MESSAGE__: copyMessage,
            __ONE_CLICK_COPY_TOOL_TIP_MESSAGE__: toolTipMessage,
            __ONE_CLICK_COPY_DURATION__: duration, // Successful prompt disappearing time.
        },
    };
});
